package ru.yandex.autotests.directapi.darkside.model;

/**
 * Created by pavryabov on 22.07.15.
 */
public enum HrefMacros {

    LOG_ID("logid", "LOGID"),
    TRACK_ID("trackid", "TRACKID"),
    ANDROID_ID("android_id", "ANDROID_ID_LC"),
    GOOGLE_AID("google_aid", "GOOGLE_AID_LC"),
    IOS_IFA("ios_ifa", "IDFA_UC"),
    SOURCE_TYPE("source_type", "STYPE"),
    SOURCE("source", "SRC"),
    ADDPHRASES("addphrases", "BM"),
    POSITION_TYPE("position_type", "PTYPE"),
    POSITION("position", "POS"),
    KEYWORD("keyword", "PHRASE"),
    RETARGETING_ID("retargeting_id", "PARAM126"),
    PHRASE_ID("phrase_id", "PHRASE_EXPORT_ID"),
    GBID("gbid", "GBID"),
    DEVICE_TYPE("device_type", "DEVICE_TYPE"),
    REGION_ID("region_id", "REG_BS"),
    REGION_NAME("region_name", "REGN_BS"),
    ADD_PHRASES_TEXT("addphrasestext", "PHRASE_BM"),
    ADTARGET_ID("adtarget_id", "PHRASE_EXPORT_ID"),
    ADTARGET_NAME("adtarget_name", "PARAM126"),
    COEF_GOAL_CONTEXT_ID("coef_goal_context_id", "COEF_GOAL_CONTEXT_ID"),
    CREATIVE_ID("creative_id", "CREATIVE_ID"),
    INTEREST_ID("interest_id", "PARAM125"),
    MATCH_TYPE("match_type", "MATCH_TYPE"),
    MATCHED_KEYWORD("matched_keyword", "PHRASE_RKW"),
    ANDROIDID("androidid", "ANDROID_ID_LC"),
    ANDROID_ID_LC_SH1("android_id_lc_sh1", "ANDROID_ID_LC_SH1_HEX"),
    GOOGLEAID("googleaid", "GOOGLE_AID_LC"),
    GOOGLE_AID_LC_SH1("google_aid_lc_sh1", "GOOGLE_AID_LC_SH1_HEX"),
    IOSIFA("iosifa", "IDFA_UC"),
    IDFA_LC_SH1("idfa_lc_sh1", "IDFA_UC_SH1_HEX"),
    IDFA_LC("idfa_lc", "IDFA_UC"),
    IDFA_LC_SH1_HEX("idfa_lc_sh1_hex", "IDFA_UC_SH1_HEX"),
    IDFA_LC_MD5("idfa_lc_md5", "IDFA_UC_MD5_HEX"),
    IDFA_LC_MD5_HEX("idfa_lc_md5_hex", "IDFA_UC_MD5_HEX"),
    OAID("oaid", "OAID_LC"),
    OAID_LC("oaid_lc", "OAID_LC"),
    OAID_LC_SH1("oaid_lc_sh1", "OAID_LC_SH1_HEX"),
    OAID_LC_SH1_HEX("oaid_lc_sh1_hex", "OAID_LC_SH1_HEX"),
    OAID_LC_MD5("oaid_lc_md5", "OAID_LC_MD5_HEX"),
    OAID_LC_MD5_HEX("oaid_lc_md5_hex", "OAID_LC_MD5_HEX"),
    CLIENT_IP("client_ip", "CLIENTIP"),
    USER_AGENT("user_agent", "USER_AGENT"),
    DEVICE_LANG("device_lang", "DEVICE_LANG"),
    YCLID("yclid", "YCLID"),
    ;

    private String value;
    private String macros;

    HrefMacros(String value, String macros) {
        this.value = value;
        this.macros = macros;
    }

    public String getValue() {
        return value;
    }

    public String getMacros() {
        return macros;
    }

    @Override
    public String toString() {
        return value;
    }
}
